APIAnalytics

List top users

Top users by activity.

GET/analytics/top-users

Top users by activity.

Query Parameters

offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 20
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
agent_instance_id?array<>

Filter to specific agent instances by id.

agent_slug?array<string>

Filter to agents by slug, the agent type such as claude-code.

mcp_id?array<>

Filter to specific MCP servers by id.

tool_name?array<string>

Filter to specific tool names.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

agent_tag_id?array<>

Filter to agent instances carrying specific tags.

resource_tag_id?array<>

Filter to MCP servers carrying specific tags.

Response Body

application/json

application/json

curl -X GET "https://example.com/analytics/top-users?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "count": 0    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}
{  "code": "bad_request",  "message": "string",  "validation_errors": [    {      "field": "string",      "message": "string",      "rule": "string"    }  ]}